Subject: bug#15256: GNU Automake 1.14 : FAIL 6 on Solaris 10 Sparc v9

From: Stefano Lattarini <[email-masked]>
Date: Thu, 26 Dec 2013 18:51:28 +0100

severity 15256 minor
tags 15256 + moreinfo
stop

On 09/03/2013 03:47 PM, Dennis Clarke wrote:
>  As per test report : 
> 
> ============================================================================
> Testsuite summary for GNU Automake 1.14
> ============================================================================
> # TOTAL: 2874
> # PASS: 2726
> # SKIP: 101
> # XFAIL: 41
> # FAIL: 6
> # XPASS: 0
> # ERROR: 0
> ============================================================================
> See ./test-suite.log
> Please report to [email-masked]
> ============================================================================
> gmake[2]: *** [test-suite.log] Error 1
> gmake[2]: Leaving directory `/usr/local/build/automake-1.14_SunOS5.10_sparcv9.001'
> gmake[1]: *** [check-TESTS] Error 2
> gmake[1]: Leaving directory `/usr/local/build/automake-1.14_SunOS5.10_sparcv9.001'
> gmake: *** [check-am] Error 2
> 
> I attach the test-suite.log file.
> 
> The testsuite log shows these are the culprits : 
> 
> $ grep "^FAIL\:\ " ./test-suite.log
> FAIL: t/instmany
> FAIL: t/instmany-mans
> FAIL: t/instmany-python
>
About this failures: you should try the patch I posted at:
<http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14891#38>
and let me know if that fixes the failure of 't/instmany'.

> FAIL: t/yacc-cxx
> FAIL: t/yacc-d-cxx
> FAIL: t/yacc-mix-c-cxx
Re these: I'm not sure if and when I'm going to look into them, sorry.
It might help if you took a stab yourelf at figuring out what is going
wrong.

Regards,
  Stefano